# 4XLink API

### Usage

4XLink provides a processor that can be instansiated and used to acuate simple and extended "onLoad" XLinks.

### API

## Module Ft.XLink

The 4XLink Module

Module Summary

- Classes

### Classes

Class Summary
`Processor` | The XLink Processor

#### Class Processor

The XLink Processor

Method Summary
`runString` | Expand all XLinks in a XML string
`runUri` | Expand all XLinks in the resource referenced by the URI

Method Details

#### runString

`runString(source, reader=None)`

> Expand all XLinks in a XML string

> Parameters
> `source` of type string conforming to the XML specification

>   The string representing the source document

> `reader` of type object supporting the xml.dom.ext.reader.Reader interface

>   Used to read the string into DOM format

> Return Value
> a DOM node

>   The transformed document

#### runUri

`runUri(uri, reader=None)`

> Expand all XLinks in the resource referenced by the URI

> Parameters
> `uri` of type string conforming to the URI specification

>   The resource to expand links in

> `reader` of type object supporting the Reader interface

>   Used to read the string into DOM format

> Return Value
> a DOM node

>   The transformed document